/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_G2_U4_L3_3_number2}", "click", function(sym, e) {
         sym.$("step1").show();
         sym.getSymbol("step1").play(0);
         
         sym.$("step2").hide();
         sym.$("step3").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_G2_U4_L3_3_number2Copy}", "click", function(sym, e) {
         sym.$("step2").show();
         sym.getSymbol("step2").play(0);
         
         sym.$("step1").hide();
         sym.$("step3").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_G2_U4_L3_3_number2Copy2}", "click", function(sym, e) {
         sym.$("step3").show();
         sym.getSymbol("step3").play(0);
         
         sym.$("step2").hide();
         sym.$("step1").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'sim_boy'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("sim_boy");
   //Edge symbol end:'sim_boy'

   //=========================================================
   
   //Edge symbol: 'step1'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         // Insertar código para ejecutarse cuando el símbolo se crea aquí
         // Cambiar el texto de un elemento
         sym.$("Text").html("<span>1</span> Semana = <span>7</span> Dias");
         $("span").css("color","rgba(0,73,188,1.00)");
         

      });
      //Edge binding end

   })("step1");
   //Edge symbol end:'step1'

   //=========================================================
   
   //Edge symbol: 'step1_1'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("TextCopy").html("<span>2</span> semanas <span>x 7</span> días = <span>14 días</span>");
         $("span").css("color","rgba(0,73,188,1.00)");
         

      });
      //Edge binding end

   })("step2");
   //Edge symbol end:'step2'

   //=========================================================
   
   //Edge symbol: 'step2_1'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("Text").html("En <span>2</span> semanas hay <span>14</span> días");
         $("span").css("color","rgba(0,73,188,1.00)");
         

      });
      //Edge binding end

   })("step3");
   //Edge symbol end:'step3'

})(jQuery, AdobeEdge, "EDGE-5531445");